{
  // Launch configuration for starting the project in VSCode
  // This will install dependencies before starting the dev server
  "version": "0.2.0",
  "configurations": [
    {
      "type": "node-terminal",
      "name": "Start with API propxy to seedheads.de (Install Deps)",
      "request": "launch",
      "command": "npm run start:seedheads",
      "preLaunchTask": "npm: install",
      "env": {
        "NODE_ENV": "development"
      },
      "envFile": "${workspaceFolder}/.env",
      "skipFiles": [
        "<node_internals>/**"
      ]
    },
    {
      "name": "Start",
      "type": "node-terminal",
      "request": "launch",
      "command": "npm run start",
      "env": {
        "NODE_ENV": "development"
      },
      "envFile": "${workspaceFolder}/.env",
      "skipFiles": [
        "<node_internals>/**"
      ]
    },
    {
      "type": "chrome",
      "request": "launch",
      "name": "Launch Chrome - Debug React App",
      "url": "https://dev.seedheads.de",
      "webRoot": "${workspaceFolder}/src",
      "sourceMapPathOverrides": {
        "webpack://reactshop/./src/*": "${webRoot}/*",
        "webpack://reactshop/src/*": "${webRoot}/*",
        "webpack:///src/*": "${webRoot}/*",
        "webpack:///./src/*": "${webRoot}/*",
        "webpack:///./*": "${workspaceFolder}/*",
        "webpack:///./~/*": "${workspaceFolder}/node_modules/*",
        "webpack://*": "${workspaceFolder}/*"
      },
      "smartStep": true,
      "skipFiles": [
        "<node_internals>/**",
        "${workspaceFolder}/node_modules/**",
        "${workspaceFolder}/dist/**"
      ]
    },
    {
      "type": "chrome",
      "request": "attach",
      "name": "Attach to Chrome - Debug React App",
      "port": 9222,
      "webRoot": "${workspaceFolder}/src",
      "sourceMapPathOverrides": {
        "webpack://reactshop/./src/*": "${webRoot}/*",
        "webpack://reactshop/src/*": "${webRoot}/*",
        "webpack:///src/*": "${webRoot}/*",
        "webpack:///./src/*": "${webRoot}/*",
        "webpack:///./*": "${workspaceFolder}/*",
        "webpack:///./~/*": "${workspaceFolder}/node_modules/*",
        "webpack://*": "${workspaceFolder}/*"
      },
      "smartStep": true,
      "skipFiles": [
        "<node_internals>/**",
        "${workspaceFolder}/node_modules/**",
        "${workspaceFolder}/dist/**"
      ]
    }
  ]
}
